API-referentie

25 eindpunten

Elk endpoint accepteert JSON en vereist de X-API-Key-header voor authenticatie.

Basis-URL en header

Basis-URL
https://horizon.pm/api/v1/app
X-API-Key
De API key van je project. Stuur hem mee met elk verzoek.

Lees de volledige API-referentie

Eindpunten

25 van 25
MethodePadFunctiesURL kopiëren
POST/user-management/signupAuthenticatie
POST/user-management/signinAuthenticatie
POST/user-management/check-authGebruikers
POST/user-management/change-nameGebruikers
GET/player-profileSpelersprofiel
PUT/player-profileSpelersprofiel
POST/leaderboard/submitLeaderboard
GET/leaderboards/{boardKey}/topLeaderboard
POST/validated-actions/runsGevalideerde acties
POST/validated-actions/submitGevalideerde acties
POST/cloud-save/saveCloud Opslag
POST/cloud-save/loadCloud Opslag
GET/remote-config/{configKey}Externe Config
GET/remote-config/allExterne Config
GET/localization/{key}Lokalisatie
GET/localization/allLokalisatie
GET/newsNieuws
POST/gift-codes/validateCadeaucodes
POST/gift-codes/redeemCadeaucodes
POST/email-sending/sendE-mail Verzenden
GET/email-sending/{emailId}E-mail Verzenden
POST/crash-reports/sessionCrashrapporten
POST/crash-reports/createCrashrapporten
POST/user-feedback/submitGebruikersfeedback
POST/user-logs/createGebruikerslogboeken

Voorbeeldverzoek

REST (curl)
Bash
1curl -X POST https://horizon.pm/api/v1/app/user-management/signup \
2 -H "Content-Type: application/json" \
3 -H "X-API-Key: horizon_YOUR_API_KEY_HERE" \
4 -d '{"type":"ANONYMOUS","username":"TestPlayer","includeRefreshToken":true}'